Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::FileStream Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::TellStream.

## Public Member Functions

| FileStream (std::FILE *file)
virtual void | putChar (char ch)
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
virtual long | tell () const

## Detailed Description

Stream writing into an open file.

## Constructor & Destructor Documentation

FileStream::FileStream | ( | std::FILE * | file | ) |

Constructor.

## Member Function Documentation

void FileStream::putChar | ( | char | ch | ) |

virtual

Output character.

Implements ipe::Stream.

void FileStream::putString | ( | String | s | ) |

virtual

Output string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

void FileStream::putCString | ( | const char * | s | ) |

virtual

Output C string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

void FileStream::putRaw | ( | const char * | data,
|  | int | size
| ) |  |

virtual

Output raw character data.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

long FileStream::tell | ( |  | ) | const

virtual

Implements ipe::TellStream.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp